Package org.freeplane.plugin.script.proxy

# Interface Proxy.Edge

All Superinterfaces:
  `Edge`, `EdgeRO`, `Proxy.EdgeRO`

Enclosing interface:
  Proxy

public static interface Proxy.Edge extends Proxy.EdgeRO, Edge

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setType(org.freeplane.features.edge.EdgeStyle type)`

  ### Methods inherited from interface org.freeplane.api.Edge

  `setColor, setColorCode, setDash, setType, setType, setWidth`

  ### Methods inherited from interface org.freeplane.api.EdgeRO

  `getColor, getColorCode, getDash, getWidth, isColorSet, isDashSet, isTypeSet, isWidthSet`

  ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.EdgeRO

  `getType`

- ## Method Details

  - ### setType

    void setType(org.freeplane.features.edge.EdgeStyle type)